Bug 1416034 - libmicrohttpd-0.9.52-1.fc24.x86_64 breaks openvas-gsa-6.0.11-3.fc24.x86_64
Summary: libmicrohttpd-0.9.52-1.fc24.x86_64 breaks openvas-gsa-6.0.11-3.fc24.x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmicrohttpd
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 12:41 UTC by Harald Reindl
Modified: 2017-02-07 22:19 UTC (History)
5 users (show)

Fixed In Version: libmicrohttpd-0.9.52-3.fc25 libmicrohttpd-0.9.52-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 21:20:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1416196 0 unspecified CLOSED MHD_start_daemon fails with errno=2. works with 0.9.46 fails with 0.9.52 2021-02-22 00:41:40 UTC

Internal Links: 1416196

Description Harald Reindl 2017-01-24 12:41:54 UTC
Jan 24 13:39:00 INFO Downgraded: libmicrohttpd-0.9.46-2.fc24.x86_64
Jan 24 13:39:00 INFO Erased: libmicrohttpd-0.9.52-1.fc24.x86_64

after the downgrade all is fine again
before:

gsad main:  DEBUG:2017-01-24 12h33.03 utc:722: Received Terminated signal.
gsad main:WARNING:2017-01-24 12h33.42 utc:712: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-24 12h33.42 utc:712: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-24 12h33.43 utc:712: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-24 12h33.43 utc:814: Received Terminated signal.
gsad main:WARNING:2017-01-24 12h33.44 utc:817: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-24 12h33.44 utc:817: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-24 12h33.44 utc:817: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-24 12h33.44 utc:819: Received Terminated signal.
gsad main:WARNING:2017-01-24 12h33.45 utc:824: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-24 12h33.45 utc:824: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-24 12h33.45 utc:824: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-24 12h33.45 utc:825: Received Terminated signal.
gsad main:WARNING:2017-01-24 12h33.46 utc:828: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-24 12h33.46 utc:828: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-24 12h33.46 utc:828: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-24 12h33.46 utc:829: Received Terminated signal.
gsad main:WARNING:2017-01-24 12h33.48 utc:832: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-24 12h33.48 utc:832: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-24 12h33.48 utc:832: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-24 12h33.48 utc:833: Received Terminated signal.

Comment 1 Fedora Admin XMLRPC Client 2017-01-24 14:36:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 MartinKG 2017-01-25 13:30:36 UTC
how to reproduce this issue:

# dnf -y install openvas-libraries openvas-scanner openvas-manager openvas-cli openvas-gsa
# openvas-check-setup
# openvas-mkcert
# systemctl enable openvas-gsa.service
# systemctl stop openvas-gsa.service
# systemctl start openvas-gsa.service
# tail /var/log/openvas/gsad.log

# Installed package versions:

openvas-scanner-5.0.7-1.fc25.x86_64
openvas-libraries-8.0.8-2.fc25.x86_64
openvas-gsa-6.0.11-3.fc25.x86_64
openvas-gsa-debuginfo-6.0.11-3.fc25.x86_64
openvas-manager-6.0.9-1.fc25.x86_64
openvas-libraries-debuginfo-8.0.8-2.fc25.x86_64
openvas-libraries-devel-8.0.8-2.fc25.x86_64
openvas-cli-1.4.5-1.fc25.x86_64

libmicrohttpd-devel-0.9.52-1.fc25.x86_64
libmicrohttpd-debuginfo-0.9.52-1.fc25.x86_64
libmicrohttpd-0.9.52-1.fc25.x86_64

Comment 3 MartinKG 2017-01-25 13:51:52 UTC
[root@fc25 tmp]# gsad --http-only -v  #without ssl#

[root@fc25 tmp]# tail /var/log/openvas/gsad.log
gsad main:CRITICAL:2017-01-25 13h21.04 utc:2726: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-25 13h21.04 utc:2727: Received Terminated signal.
gsad main:WARNING:2017-01-25 13h21.05 utc:2730: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-25 13h21.05 utc:2730: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:CRITICAL:2017-01-25 13h21.05 utc:2731: main: start_https_daemon failed!
gsad main:  DEBUG:2017-01-25 13h21.05 utc:2732: Received Terminated signal.
gsad main:WARNING:2017-01-25 13h39.23 utc:2950: main: Locale defined by environment variables is not an "en_..." one.
gsad main:  DEBUG:2017-01-25 13h39.23 utc:2950: main: gettext translation extensions are enabled (using locale "de_DE.UTF-8").
gsad main:  DEBUG:2017-01-25 13h39.23 utc:2950: Forking...
gsad main:  DEBUG:2017-01-25 13h39.23 utc:2951: GSAD started successfully and is listening on port 80.

Comment 4 Neal Gompa 2017-01-25 14:24:50 UTC
This looks similar to bug 1416196.

Comment 5 Harald Reindl 2017-01-25 15:24:22 UTC
well, did the libmicrohttpd maintainer test anything or just fired  in the style of "it builds so it works"?

Comment 6 Fedora Update System 2017-01-26 08:35:44 UTC
libmicrohttpd-0.9.52-2.fc24 libmicrohttpd-0.9.52-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb8164f53f

Comment 7 Fedora Update System 2017-01-26 08:48:28 UTC
libmicrohttpd-0.9.52-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aaf05cdbba

Comment 8 Fedora Update System 2017-01-27 15:16:53 UTC
libmicrohttpd-0.9.46-3.fc25 libmicrohttpd-0.9.46-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cf3bd9a7d

Comment 9 Fedora Update System 2017-01-27 15:19:01 UTC
libmicrohttpd-0.9.46-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccb53e6046

Comment 10 Fedora Update System 2017-01-27 19:54:44 UTC
libmicrohttpd-0.9.52-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb8164f53f

Comment 11 Fedora Update System 2017-01-28 04:54:28 UTC
libmicrohttpd-0.9.52-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aaf05cdbba

Comment 12 Harald Reindl 2017-01-28 14:55:48 UTC
libmicrohttpd-0.9.52-2.fc24 did not fix the problem
libmicrohttpd-0.9.46-3.fc24 does fix it - changelog is unclear

Comment 13 Fedora Update System 2017-01-30 16:12:05 UTC
libmicrohttpd-0.9.52-3.fc24 libmicrohttpd-0.9.52-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-530d097adf

Comment 14 Fedora Update System 2017-01-30 16:13:40 UTC
libmicrohttpd-0.9.52-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b867713f

Comment 15 Fedora Update System 2017-01-31 02:52:18 UTC
libmicrohttpd-0.9.52-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-530d097adf

Comment 16 Fedora Update System 2017-01-31 03:52:10 UTC
libmicrohttpd-0.9.52-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c1b867713f

Comment 17 Fedora Update System 2017-02-01 21:20:58 UTC
libmicrohttpd-0.9.52-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-02-07 22:19:20 UTC
libmicrohttpd-0.9.52-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.